Assignments Assignments

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Util::QuadricBoundingBoxOverlap< 1 > Struct Reference

`#include <geometry.h>`

## Public Member Functions
| QuadricBoundingBoxOverlap (const Quadric< 1 > &Q)
bool | operator() (const BoundingBox< 1 > &bBox) const
| QuadricBoundingBoxOverlap (const Quadric< Dim > &Q)
bool | operator() (const BoundingBox< Dim > &bBox) const

## Protected Member Functions
| QuadricBoundingBoxOverlap (void)
void | _set (const Quadric< 1 > &Q)
bool | _intersect (const Quadric< 1 > &Q, const BoundingBox< 1 > &bBox) const
| QuadricBoundingBoxOverlap (void)
void | _set (const Quadric< Dim > &Q)
bool | _intersect (const Quadric< Dim > &Q, const BoundingBox< Dim > &bBox) const

## Protected Attributes
Quadric< 1 > | _quadric
Matrix< 1, 1 > | _Q
Matrix< 1, 1 > | _Qinv
Matrix< 2, 1 > | _T
Matrix< 1, 2 > | _Tt
Matrix< 1, 2 > | _Tt_Q
Quadric< Dim > | _quadric
Matrix< Dim, Dim > | _Q
Matrix< Dim, Dim > | _Qinv
Matrix< Dim+1, Dim > | _T
Matrix< Dim, Dim+1 > | _Tt
Matrix< Dim, Dim+1 > | _Tt_Q
struct QuadricBoundingBoxOverlap< Dim-1 > | _boundaryInfo [Dim]

## Constructor & Destructor Documentation

## ◆ QuadricBoundingBoxOverlap() [1/4]

Util::QuadricBoundingBoxOverlap< 1 >::QuadricBoundingBoxOverlap | ( | const Quadric< 1 > & | Q | ) |
| inline

A constructor initializing the structure with a quadratic.

## ◆ QuadricBoundingBoxOverlap() [2/4]

Util::QuadricBoundingBoxOverlap< 1 >::QuadricBoundingBoxOverlap | ( | void |  | ) |
| inline protected

## ◆ QuadricBoundingBoxOverlap() [3/4]

Util::QuadricBoundingBoxOverlap< Dim >::QuadricBoundingBoxOverlap | ( | const Quadric< Dim > & | Q | ) |

A constructor initializing the structure with a quadratic.

## ◆ QuadricBoundingBoxOverlap() [4/4]

Util::QuadricBoundingBoxOverlap< Dim >::QuadricBoundingBoxOverlap | ( | void |  | ) |
| protected

## Member Function Documentation

## ◆ _intersect() [1/2]

bool Util::QuadricBoundingBoxOverlap< 1 >::_intersect | ( | const Quadric< 1 > & | Q,
|  | const BoundingBox< 1 > & | bBox ) const
| inline protected

## ◆ _intersect() [2/2]

bool Util::QuadricBoundingBoxOverlap< Dim >::_intersect | ( | const Quadric< Dim > & | Q,
|  | const BoundingBox< Dim > & | bBox ) const
| protected

## ◆ _set() [1/2]

void Util::QuadricBoundingBoxOverlap< 1 >::_set | ( | const Quadric< 1 > & | Q | ) |
| inline protected

## ◆ _set() [2/2]

void Util::QuadricBoundingBoxOverlap< Dim >::_set | ( | const Quadric< Dim > & | Q | ) |
| protected

## ◆ operator()() [1/2]

bool Util::QuadricBoundingBoxOverlap< 1 >::operator() | ( | const BoundingBox< 1 > & | bBox | ) | const

An overloaded operator for testing if the quadric intersects a bounding box.

## ◆ operator()() [2/2]

bool Util::QuadricBoundingBoxOverlap< Dim >::operator() | ( | const BoundingBox< Dim > & | bBox | ) | const

An overloaded operator for testing if the quadric intersects a bounding box.

## Member Data Documentation

## ◆ _boundaryInfo

struct QuadricBoundingBoxOverlap< Dim-1 > Util::QuadricBoundingBoxOverlap< Dim >::_boundaryInfo[Dim]
| protected

## ◆ _Q [1/2]

Matrix< Dim , Dim > Util::QuadricBoundingBoxOverlap< Dim >::_Q
| protected

## ◆ _Q [2/2]

Matrix< 1 , 1 > Util::QuadricBoundingBoxOverlap< 1 >::_Q
| protected

## ◆ _Qinv [1/2]

Matrix< Dim , Dim > Util::QuadricBoundingBoxOverlap< Dim >::_Qinv
| protected

## ◆ _Qinv [2/2]

Matrix< 1 , 1 > Util::QuadricBoundingBoxOverlap< 1 >::_Qinv
| protected

## ◆ _quadric [1/2]

Quadric< Dim > Util::QuadricBoundingBoxOverlap< Dim >::_quadric
| protected

## ◆ _quadric [2/2]

Quadric< 1 > Util::QuadricBoundingBoxOverlap< 1 >::_quadric
| protected

## ◆ _T [1/2]

Matrix< Dim+1 , Dim > Util::QuadricBoundingBoxOverlap< Dim >::_T
| protected

## ◆ _T [2/2]

Matrix< 2 , 1 > Util::QuadricBoundingBoxOverlap< 1 >::_T
| protected

## ◆ _Tt [1/2]

Matrix< Dim , Dim+1 > Util::QuadricBoundingBoxOverlap< Dim >::_Tt
| protected

## ◆ _Tt [2/2]

Matrix< 1 , 2 > Util::QuadricBoundingBoxOverlap< 1 >::_Tt
| protected

## ◆ _Tt_Q [1/2]

Matrix< Dim , Dim+1 > Util::QuadricBoundingBoxOverlap< Dim >::_Tt_Q
| protected

## ◆ _Tt_Q [2/2]

Matrix< 1 , 2 > Util::QuadricBoundingBoxOverlap< 1 >::_Tt_Q
| protected

The documentation for this struct was generated from the following files:

- Assignments/Util/geometry.h
- Assignments/Util/geometry.inl